## List destination addresses `client.EmailRouting.Addresses.List(ctx, params) (*V4PagePaginationArray[Address], error)` **get** `/accounts/{account_id}/email/routing/addresses` Lists existing destination addresses. ### Parameters - `params AddressListParams` - `AccountID param.Field[string]` Path param: Identifier. - `Direction param.Field[AddressListParamsDirection]` Query param: Sorts results in an ascending or descending order. - `const AddressListParamsDirectionAsc AddressListParamsDirection = "asc"` - `const AddressListParamsDirectionDesc AddressListParamsDirection = "desc"` - `Page param.Field[float64]` Query param: Page number of paginated results. - `PerPage param.Field[float64]` Query param: Maximum number of results per page. - `Verified param.Field[AddressListParamsVerified]` Query param: Filter by verified destination addresses. - `const AddressListParamsVerifiedTrue AddressListParamsVerified = true` - `const AddressListParamsVerifiedFalse AddressListParamsVerified = false` ### Returns - `type Address struct{…}` - `ID string` Destination address identifier. - `Created Time` The date and time the destination address has been created. - `Email string` The contact email address of the user. - `Modified Time` The date and time the destination address was last modified. - `Tag string` Destination address tag. (Deprecated, replaced by destination address identifier) - `Verified Time` The date and time the destination address has been verified. Null means not verified yet. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/email_routing" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) page, err := client.EmailRouting.Addresses.List(context.TODO(), email_routing.AddressListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 1, "total_pages": 100 } } ```